# OAuth2UserV2

## GET /profile

> Get OAuth2 user profile.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/profile":{"get":{"responses":{"200":{"description":"Returns the OAuth2 user profile.","content":{"application/json":{"schema":{"type":"object","properties":{"profile":{"$ref":"#/components/schemas/UserProfileV2"}}}}}}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user profile.","operationId":"getOAuth2UserProfileV2"}}},"components":{"schemas":{"UserProfileV2":{"type":"object","properties":{"name":{"type":"string"},"vanityURL":{"type":"string"},"pfp":{"type":"string"},"banner":{"type":"string"},"pfpNFT":{"type":"object","properties":{"id":{"type":"string"},"collection":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}}}}}}}}}
```

## GET /wallets

> Get OAuth2 user wallets.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/wallets":{"get":{"responses":{"200":{"description":"Returns the OAuth2 user wallets.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletsResponseV2"}}}}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user wallets.","operationId":"getOAuth2UserWalletsV2"}}},"components":{"schemas":{"WalletsResponseV2":{"type":"object","properties":{"wallets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"networkSymbol":{"type":"string"},"primaryWalletOn":{"type":"array","items":{"type":"string"}},"activeChains":{"type":"array","items":{"type":"string"}}}}}}}}}}
```

## GET /email

> Get OAuth2 user email.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/email":{"get":{"responses":{"200":{"description":"Returns the OAuth2 user email.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailResponseV2"}}}}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user email.","operationId":"getOAuth2UserEmailV2"}}},"components":{"schemas":{"EmailResponseV2":{"type":"object","properties":{"email":{"type":"string"}}}}}}
```

## GET /twitter

> Get OAuth2 user twitter.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/twitter":{"get":{"responses":{"200":{"description":"Returns the OAuth2 user twitter.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TwitterResponseV2"}}}}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user twitter.","operationId":"getOAuth2UserTwitterV2"}}},"components":{"schemas":{"TwitterResponseV2":{"type":"object","properties":{"twitter":{"oneOf":[{"$ref":"#/components/schemas/SocialAccountV2"},{"type":"null"}]}}},"SocialAccountV2":{"type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"externalName":{"type":"string"}},"required":["name","externalId","externalName"]}}}}
```

## GET /discord

> Get OAuth2 user discord.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/discord":{"get":{"responses":{"200":{"description":"Returns the OAuth2 user discord.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscordResponseV2"}}}}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user discord.","operationId":"getOAuth2UserDiscordV2"}}},"components":{"schemas":{"DiscordResponseV2":{"type":"object","properties":{"discord":{"oneOf":[{"$ref":"#/components/schemas/SocialAccountV2"},{"type":"null"}]}}},"SocialAccountV2":{"type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"externalName":{"type":"string"}},"required":["name","externalId","externalName"]}}}}
```

## GET /telegram

> Get OAuth2 user telegram.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/telegram":{"get":{"responses":{"200":{"description":"Returns the OAuth2 user telegram.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TelegramResponseV2"}}}}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user telegram.","operationId":"getOAuth2UserTelegramV2"}}},"components":{"schemas":{"TelegramResponseV2":{"type":"object","properties":{"telegram":{"oneOf":[{"$ref":"#/components/schemas/SocialAccountV2"},{"type":"null"}]}}},"SocialAccountV2":{"type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"externalName":{"type":"string"}},"required":["name","externalId","externalName"]}}}}
```

## GET /roles

> Get OAuth2 user roles.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/roles":{"get":{"responses":{"200":{"description":"Returns the OAuth2 user roles.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RolesResponseV2"}}}}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user roles.","operationId":"getOAuth2UserRolesV2"}}},"components":{"schemas":{"RolesResponseV2":{"type":"object","properties":{"roles":{"oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/UserRoleV2"}},{"type":"null"}]}}},"UserRoleV2":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"guildId":{"type":"string"}}}}}}
```

## GET /nfts

> Get OAuth2 user NFTs with pagination.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/nfts":{"get":{"responses":{"200":{"description":"Returns a paginated list of the OAuth2 user NFTs.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"image":{"type":"string"},"status":{"type":"string"},"networkSymbol":{"type":"string"},"isCompressed":{"type":"boolean"},"inscriptionNumber":{"type":"number","nullable":true},"ownerId":{"type":"string"},"collection":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}},"community":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}}}}}}}},"400":{"description":"Bad request."}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user NFTs with pagination.","operationId":"getOAuth2UserNFTsV2","parameters":[{"in":"query","name":"nftId","schema":{"type":"string"}},{"in":"query","name":"collectionId","schema":{"type":"string","format":"uuid"}},{"in":"query","name":"networkSymbol","schema":{"type":"string"}}]}}}}
```

## GET /tokens

> Get OAuth2 user wallet tokens with pagination and filters.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/tokens":{"get":{"responses":{"200":{"description":"Returns a paginated list of the OAuth2 user wallet tokens.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"totalAmount":{"type":"number"},"amount":{"type":"number"},"stakedAmount":{"type":"number"},"walletId":{"type":"string"},"tokenId":{"type":"string"},"token":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"symbol":{"type":"string"},"networkSymbol":{"type":"string"}}}}}}}}},"400":{"description":"Bad request."}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user wallet tokens with pagination and filters.","operationId":"getOAuth2UserTokensV2","parameters":[{"in":"query","name":"networkSymbol","schema":{"type":"string"}},{"in":"query","name":"tokenIds","schema":{"type":"array","maxLength":25}},{"in":"query","name":"minBalance","schema":{"type":"number"}}]}}}}
```

## GET /domains

> Get OAuth2 user domains with pagination and filters.

```json
{"openapi":"3.0.0","info":{"title":"Matrica Labs OAuth 2.0 User API","version":"2.0.0"},"servers":[{"url":"/oauth2/v2/user","description":"OAuth 2.0 User API v2"}],"paths":{"/domains":{"get":{"responses":{"200":{"description":"Returns a paginated list of the OAuth2 user domains.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"name":{"type":"string"},"extension":{"type":"string"},"owner":{"type":"object","properties":{"id":{"type":"string"},"networkSymbol":{"type":"string"}}}}}}}}},"400":{"description":"Bad request."}},"tags":["OAuth2UserV2"],"summary":"Get OAuth2 user domains with pagination and filters.","operationId":"getOAuth2UserDomainsV2","parameters":[{"in":"query","name":"extension","schema":{"type":"string"}},{"in":"query","name":"networkSymbol","schema":{"type":"string"}}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.matrica.io/matrica-connect/oauth2-api-reference-v2/oauth2userv2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
